<?php
namespace Modules\Admin\Banks;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_OptionsAbstract::populateDefinedOptions()
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Insert::create("insert")
				->setDescription($this->lang['index']['options']['buttons']['insert'])
				->setDimensions(600, 400)
			)

			->append(\App\Mvc\View\Utils\RowOptions\Option\Window::create("showOffices")
				->setDescription($this->lang['index']['options']['buttons']['showOffices'])
				->setIcon("offices")
				->setModule("Modules/Admin/BankOffices")
				->setAction('index')
				->setKeyForCurrentRow('filters[bank][id]')
				->addParam('listing[paramsSlot]', 1)
				->resetWindowListing()
			)

			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Update::create("update")
				->setDescription($this->lang['index']['options']['buttons']['update'])
				->setDimensions(600, 400)
			)

			->append(\App\Mvc\View\Utils\RowOptions\Option\Delete::create("delete")
				->setDescription($this->lang['index']['options']['buttons']['delete'])
			)

			->append(\App\Mvc\View\Utils\RowOptions\Option\DeleteSelected::create("delete")
					->setDescription($this->lang['index']['options']['buttons']['delete'])
			)
		;
	}
}